import React from "react";
import "../styleing/body.css";
import Pagination from "./Pagination";
import AddPostForm from "./addPost";

function Body({ filteredData, setFilteredData, currentPage, setCurrentPage }) {
  const postsPerPage = 6;

  const handleAddPost = (newPost) => {
    const postWithId = { ...newPost, id: Date.now() };
    const updatedData = [postWithId, ...filteredData];
    setFilteredData(updatedData);
  };

  const handleDeletePost = (id) => {
    const updatedData = filteredData?.filter((post) => post?.id !== id);
    setFilteredData(updatedData);
  };

  const indexOfLastPost = currentPage * postsPerPage;
  const indexOfFirstPost = indexOfLastPost - postsPerPage;
  const currentPosts = filteredData?.slice(indexOfFirstPost, indexOfLastPost);
  const totalPages = Math.ceil(filteredData?.length / postsPerPage);

  return (
    <div className="App">
      <ul>
        {filteredData?.length > 0 ? (
          currentPosts?.map((post) => (
            <li key={post?.id}>
              <h1>Title: {post?.title}</h1>
              <p>
                <b>Content:</b> {post?.body}
              </p>
              <button onClick={() => handleDeletePost(post?.id)} >Delete</button>
            </li>
          ))
        ) : (
          <li>No posts found</li>
        )}
      </ul>
      <AddPostForm onAddPost={handleAddPost} />
      <Pagination
        currentPage={currentPage}
        totalPages={totalPages}
        onPageChange={(page) => setCurrentPage(page)}
      />
    </div>
  );
}

export default Body;
